import Table from './Table';
const MysqldumpDdlParser = (ddl, dialect) => {
    const sentences = ddl.split(/;/).map((sentence) => sentence.trim());
    const tables = {};
    sentences
        .filter((sentence) => sentence.startsWith('CREATE TABLE'))
        .forEach((sentence) => {
        const table = new Table(sentence, dialect ?? 'mysql');
        tables[table.name] = table;
    });
    return tables;
};
export default MysqldumpDdlParser;
