"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Table_1 = __importDefault(require("./Table"));
const MysqldumpDdlParser = (ddl, dialect) => {
    const sentences = ddl.split(/;/).map((sentence) => sentence.trim());
    const tables = {};
    sentences
        .filter((sentence) => sentence.startsWith('CREATE TABLE'))
        .forEach((sentence) => {
        const table = new Table_1.default(sentence, dialect ?? 'mysql');
        tables[table.name] = table;
    });
    return tables;
};
exports.default = MysqldumpDdlParser;
